Subject: bug#76603: 30.1; multi-file-replace-regexp-as-diff won't end prompting with icomplete-show-matches-on-no-input

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Mar 2025 11:39:46 +0200

> Cc: [email-masked]
> From: Rahul Martim Juliato <[email-masked]>
> Date: Thu, 27 Feb 2025 22:39:11 -0300
> 
> Juri Linkov <[email-masked]> writes:
> 
> > Initially "RET" was bound to 'exit-minibuffer', but you override it,
> > so there is no more keys to exit the minibuffer.
> >
> > What do you think about rebinding 'exit-minibuffer' to 'M-j'?
> > For such cases 'M-j' is bound to 'icomplete-fido-exit'
> > in 'icomplete-fido-mode-map'.
> 
> Hello there Juri!
> 
> Neat! I was failing to get C-h k, RET on my previous attempt (idn why),
> but now it gives me (exit-minibuffer). So as you said:
> 
> (use-package icomplete
>   :bind (:map icomplete-minibuffer-map
>               ("C-n" . icomplete-forward-completions)
>               ("C-p" . icomplete-backward-completions)
>               ("C-v" . icomplete-vertical-toggle)
>               ("RET" . icomplete-force-complete-and-exit)
> 	          ("C-j" . exit-minibuffer))       ;; <<<< THIS
>   :config
>   (setq icomplete-show-matches-on-no-input t))
> 
> (icomplete-vertical-mode 1)
> 
> Adding this here solves the question and all work as expected :),
> thanks!
> 
> 
> 
> If I may add another inquire.
> 
> The command dired-do-find-regexp-and-replace, accepts marking files and
> directories before executing it. I initially thought I could  do the
> same with dired-do-replace-regexp-as-diff but it only works marking
> files not directories.
> 
> So my first question is: are there any plans (or there is already some way)
> to make dired-do-replace-regexp-as-diff also find all files in a marked
> directory?
> 
> Secondly: Are there any plans to make multi-file-replace-regexp-as-diff
> to work with glob patterns?

Ping!  Do we need to do anything else here, or should this bug be
closed now?